package com.flyfish.framework.domain.po;

import com.flyfish.framework.domain.base.TreeDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 权限
 *
 * @author wangyu
 */
@Document
@Data
@EqualsAndHashCode(callSuper = true)
public class Permission extends TreeDomain<Permission> {

    public static final Permission ROOT;

    static {
        ROOT = new Permission();
        ROOT.setId("0");
        ROOT.setDepth(0);
    }

    /**
     * 是否是管理员权限
     */
    private boolean admin;

    /**
     * 是否是叶子节点
     */
    private Boolean leaf;
}
